## -*- mode: conf; -*-

${'#'}###########################################################
#
# base config for Corporal
#
${'#'}###########################################################




${'#'}#############################
# rattail
${'#'}#############################

[rattail]
production = ${'true' if env.machine_is_live else 'false'}

# TODO: this will of course depend on your location
timezone.default = America/Chicago

# TODO: set this to a valid user within your DB
#runas.default = corporal

appdir = /srv/envs/corporal/app
datadir = /srv/envs/corporal/app/data
workdir = /srv/envs/corporal/app/work
batch.files = /srv/envs/corporal/app/batch
export.files = /srv/envs/corporal/app/data/exports

[rattail.config]
#include = /etc/rattail/rattail.conf
configure_logging = true
usedb = true
preferdb = true

[rattail.db]
default.url = postgresql://rattail:${env.password_postgresql_rattail}@localhost/corporal
versioning.enabled = true

[rattail.mail]
# this is the master switch, *no* emails are sent if false
send_emails = true

smtp.server = localhost

templates =
    corporal:templates/mail
    rattail:templates/mail

default.prefix = [Corporal]
default.from = ${env.email_default_sender}
default.to = ${', '.join(env.email_default_recipients)}
#default.enabled = false

[rattail.upgrades]
command = sudo /srv/envs/corporal/app/upgrade-wrapper.sh --verbose
files = /srv/envs/corporal/app/data/upgrades


${'#'}#############################
# alembic
${'#'}#############################

[alembic]
script_location = rattail.db:alembic
version_locations = rattail.db:alembic/versions


${'#'}#############################
# logging
${'#'}#############################

[loggers]
keys = root, exc_logger, beaker, txn, sqlalchemy, django_db, flufl_bounce, requests

[handlers]
keys = file, console, email

[formatters]
keys = generic, console

[logger_root]
handlers = file, console, email
level = DEBUG

[logger_exc_logger]
qualname = exc_logger
handlers = email
level = ERROR

[logger_beaker]
qualname = beaker
handlers =
level = INFO

[logger_txn]
qualname = txn
handlers =
level = INFO

[logger_sqlalchemy]
qualname = sqlalchemy.engine
handlers =
# handlers = file
# level = INFO

[logger_django_db]
qualname = django.db.backends
handlers =
level = INFO
# level = DEBUG

[logger_flufl_bounce]
qualname = flufl.bounce
handlers =
level = WARNING

[logger_requests]
qualname = requests
handlers =
# level = WARNING

[handler_file]
class = handlers.WatchedFileHandler
args = ('/srv/envs/corporal/app/log/rattail.log', 'a', 'utf_8')
formatter = generic

[handler_console]
class = StreamHandler
args = (sys.stderr,)
formatter = console
# formatter = generic
# level = INFO
# level = WARNING

[handler_email]
class = handlers.SMTPHandler
args = ('localhost', '${env.email_default_sender}', ${env.email_default_recipients}, "[Corporal] Logging")
formatter = generic
level = ERROR

[formatter_generic]
format = %(asctime)s %(levelname)-5.5s [%(name)s][%(threadName)s] %(funcName)s: %(message)s
datefmt = %Y-%m-%d %H:%M:%S

[formatter_console]
format = %(levelname)-5.5s [%(name)s] %(funcName)s: %(message)s
